r14794 - gnucash/trunk/packaging/win32 - Add Glade-3, as it seems to run smoothly with gnome widgets and simply

Andreas Köhler andi5 at cvs.gnucash.org
Mon Sep 4 04:11:34 EDT 2006


Author: andi5
Date: 2006-09-04 04:11:30 -0400 (Mon, 04 Sep 2006)
New Revision: 14794
Trac: http://svn.gnucash.org/trac/changeset/14794

Modified:
   gnucash/trunk/packaging/win32/custom.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Add Glade-3, as it seems to run smoothly with gnome widgets and simply
looks good. One day someone could try to integrate devhelp.


Modified: gnucash/trunk/packaging/win32/custom.sh
===================================================================
--- gnucash/trunk/packaging/win32/custom.sh	2006-09-03 21:48:52 UTC (rev 14793)
+++ gnucash/trunk/packaging/win32/custom.sh	2006-09-04 08:11:30 UTC (rev 14794)
@@ -127,10 +127,14 @@
 GOFFICE_DIR=$GLOBAL_DIR\\goffice
 GOFFICE_PATCH=`pwd`/goffice-0.3.0-patch.diff
 
+GLADE_URL="$GNOME_MIRROR/sources/glade3/3.0/glade3-3.0.1.tar.bz2"
+GLADE_DIR=$GLOBAL_DIR\\glade
+
 SVN_URL="http://subversion.tigris.org/files/documents/15/32856/svn-1.3.2-setup.exe"
 SVN_DIR=$GLOBAL_DIR\\svn
 
 # There is no reason to ever need to comment these out!
+# * commented out glade, as it is not needed to run gnucash
 add_step inst_wget
 add_step inst_dtk
 add_step inst_mingw
@@ -149,6 +153,7 @@
 add_step inst_autotools
 add_step inst_libgsf
 add_step inst_goffice
+#add_step inst_glade
 add_step inst_svn
 add_step svn_up
 add_step inst_gnucash

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2006-09-03 21:48:52 UTC (rev 14793)
+++ gnucash/trunk/packaging/win32/install.sh	2006-09-04 08:11:30 UTC (rev 14794)
@@ -24,7 +24,6 @@
 SEPS_AUTOTOOLS_LDFLAGS=" "
 SEPS_GUILE_LOAD_PATH=";"
 SEPS_INTLTOOL_PERL=" "
-SEPS_LIBGLADE_MODULE_PATH=";"
 SEPS_PATH=":"
 SEPS_PKG_CONFIG_PATH=":"
 SEPS_READLINE_CPPFLAGS=" "
@@ -38,7 +37,6 @@
 AUTOTOOLS_LDFLAGS \
 GUILE_LOAD_PATH \
 INTLTOOL_PERL \
-LIBGLADE_MODULE_PATH \
 PATH \
 PKG_CONFIG_PATH \
 READLINE_CPPFLAGS \
@@ -413,11 +411,9 @@
 function inst_gnome() {
     setup Gnome platform
     _GNOME_UDIR=`unix_path $GNOME_DIR`
-    _GNOME_WFSDIR=`win_fs_path $GNOME_DIR`
     add_to_env $_GNOME_UDIR/bin PATH
     add_to_env $_GNOME_UDIR/lib/pkgconfig PKG_CONFIG_PATH
     add_to_env "-I $_GNOME_UDIR/share/aclocal" ACLOCAL_FLAGS
-    add_to_env $_GNOME_WFSDIR/lib/libglade/2.0 LIBGLADE_MODULE_PATH
     if quiet gconftool-2 --version &&
         pkg-config --exists gconf-2.0 libgnome-2.0 libgnomeui-2.0 libgnomeprint-2.2 libgnomeprintui-2.2 libgtkhtml-3.8 &&
         quiet intltoolize --version
@@ -626,6 +622,25 @@
     pkg-config --exists libgoffice-0.3 || die "goffice not installed correctly"
 }
 
+function inst_glade() {
+    setup Glade
+    _GLADE_UDIR=`unix_path $GLADE_DIR`
+    _GLADE_WFSDIR=`win_fs_path $GLADE_DIR`
+    add_to_env $_GLADE_UDIR/bin PATH
+    if quiet glade-3 --version
+    then
+        echo "glade already installed.  skipping."
+    else
+        wget_unpacked $GLADE_URL $DOWNLOAD_DIR $TMP_DIR
+        qpushd $TMP_UDIR/glade3-*
+            ./configure --prefix=$_GLADE_WFSDIR
+            make
+            make install
+        qpopd
+    fi
+    quiet glade-3 --version || die "glade not installed correctly"
+}
+
 function inst_svn() {
     setup Subversion
     _SVN_UDIR=`unix_path $SVN_DIR`



More information about the gnucash-changes mailing list